# Uses of Enum Class
org.apache.lucene.search.join.BlockJoinSelector.Type

- ## Uses of BlockJoinSelector.Type in org.apache.lucene.search.join

  Methods in org.apache.lucene.search.join that return BlockJoinSelector.Type
  Modifier and Type
  Method
  Description
  `static BlockJoinSelector.Type`
  BlockJoinSelector.Type.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BlockJoinSelector.Type[]`
  BlockJoinSelector.Type.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.search.join with parameters of type BlockJoinSelector.Type
  Modifier and Type
  Method
  Description
  `static NumericDocValues`
  BlockJoinSelector.`wrap(NumericDocValues values, BlockJoinSelector.Type selection, BitSet parents, DocIdSetIterator children)`
  Wraps the provided `NumericDocValues`, iterating over only child documents, in order to only select one value per parent among its `children` using the configured `selection` type.
  `static SortedDocValues`
  BlockJoinSelector.`wrap(SortedDocValues values, BlockJoinSelector.Type selection, BitSet parents, DocIdSetIterator children)`
  Wraps the provided `SortedDocValues` in order to only select one value per parent among its `children` using the configured `selection` type.
  `static NumericDocValues`
  BlockJoinSelector.`wrap(SortedNumericDocValues sortedNumerics, BlockJoinSelector.Type selection, BitSet parents, DocIdSetIterator children)`
  Wraps the provided `SortedNumericDocValues` in order to only select one value per parent among its `children` using the configured `selection` type.
  `static SortedDocValues`
  BlockJoinSelector.`wrap(SortedSetDocValues sortedSet, BlockJoinSelector.Type selection, BitSet parents, DocIdSetIterator children)`
  Wraps the provided `SortedSetDocValues` in order to only select one value per parent among its `children` using the configured `selection` type.